﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Sample._Default" %>

<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">

    <ej:Grid ID="EmployeesGrid2" runat="server" AllowPaging="True"  Selectiontype="Multiple" DataSourceID="SqlData"> 
        <EditSettings AllowEditing="true" AllowAdding="true" AllowDeleting="true" />
        <ToolbarSettings ToolbarItems="add,edit,delete,update,cancel" ShowToolbar="true"></ToolbarSettings>
        <Columns>
            <ej:Column Field="OrderID" IsPrimaryKey="true"/>
            <ej:Column Field="EmployeeID" />            
            <ej:Column Field="Freight" Format="{0:c2}" />
            <ej:Column Field="ShipCity" />
        </Columns>
    </ej:Grid>

    <asp:SqlDataSource ID="SqlData" runat="server" ConnectionString="<%$ ConnectionStrings:NORTHWNDConnectionString %>"
            SelectCommand="SELECT * FROM [Orders]" OnInit="Page_Load" OnDeleting="SqlData_Deleting"
       
        InsertCommand="INSERT INTO [Orders] ([Freight], [EmployeeID], [ShipCity])
         VALUES (@Freight, @EmployeeID, @ShipCity)"
        DeleteCommand= 
        "DELETE FROM [Orders] WHERE [OrderID] = @OrderID"
        
       UpdateCommand="UPDATE [Orders] SET 
         [Freight] = @Freight, [EmployeeID] = @EmployeeID, [ShipCity] = @ShipCity
        WHERE [OrderID] = @OrderID"> 
        <UpdateParameters>
            <asp:Parameter Name="Freight" Type="Double" />
        </UpdateParameters>

         

         <InsertParameters>
        <asp:Parameter Name="Freight" />
        <asp:Parameter Name="EmployeeID" />
        <asp:Parameter Name="ShipCity" />
        
    </InsertParameters>
        </asp:SqlDataSource>
    <script>
        function begin(args){
            if (args.requestType == "save")
                debugger;
        }
    </script>
</asp:Content>

