﻿using Sample;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;

    
    [DataObject]
    public partial class GridData
    {
        [DataObjectMethod(DataObjectMethodType.Select)]
        public List<Orders> BindDataSource()
        {
            
                List<Orders> order = new List<Orders>();
                order = (List<Orders>)HttpContext.Current.Session["datasource"];
                if (order == null)
                {
                    int code = 10000;
                    order = new List<Orders>();
                    for (int i = 1; i < 10; i++)
                    {
                        order.Add(new Orders() { CustomerID = "ALFKI", EmployeeID = i + 0, Freight = 2.3 * i, OrderDate = new DateTime(1991, 05, 15), ShipCity = "Berlin", OrderID = code + 1 });
                        order.Add(new Orders() { CustomerID = "ANATR", EmployeeID = i + 2, Freight = 3.3 * i, OrderDate = new DateTime(1990, 04, 04), ShipCity = "Madrid", OrderID = code + 2 });
                        order.Add(new Orders() { CustomerID = "ANTON", EmployeeID = i + 1, Freight = 4.3 * i, OrderDate = new DateTime(1957, 11, 30), ShipCity = "Cholchester", OrderID = code + 3 });
                        order.Add(new Orders() { CustomerID = "BLONP", EmployeeID = i + 3, Freight = 5.3 * i, OrderDate = new DateTime(1930, 10, 22), ShipCity = "Marseille", OrderID = code + 4 });
                        order.Add(new Orders() { CustomerID = "BOLID", EmployeeID = i + 4, Freight = 6.3 * i, OrderDate = new DateTime(1953, 02, 18), ShipCity = "Tsawassen", OrderID = code + 5 });
                        code += 5;
                    }
                    HttpContext.Current.Session["datasource"] = order;
                }
            return order;
            //this.EmployeesGrid2.DataManager = new DataSource() { Json = order, UpdateURL = "/Default.aspx/Update", InsertURL = "/Default.aspx/Insert", RemoveURL="/Default.aspx/Remove", Adaptor = "remoteSaveAdaptor" };
        }
        [DataObjectMethod(DataObjectMethodType.Update)]
        public static Orders EditRecord(Orders ord)
        {
            var order = (List<Orders>)HttpContext.Current.Session["datasource"];
            var data  = order.Where(ds => ds.OrderID == ord.OrderID).FirstOrDefault();
            data.CustomerID = ord.CustomerID;
            data.Freight = ord.Freight;
            data.ShipCity = ord.ShipCity;
            return ord;
        }
        [DataObjectMethod(DataObjectMethodType.Insert)]
        public static Orders AddRecord(Orders ord)
        {
            var order = (List<Orders>)HttpContext.Current.Session["datasource"];
            order.Add(ord);
            return ord;
        }
        [DataObjectMethod(DataObjectMethodType.Delete)]
        public static Orders DeleteRecord(Orders ord)
        {
            var order = (List<Orders>)HttpContext.Current.Session["datasource"];
            var item  = order.Where(or => or.OrderID == ord.OrderID).FirstOrDefault();
            order.Remove(item);
            return ord;
        }
    }
